/Users/bernard/b20/bsoft/src/rwimg/rwTGA.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwTGA.cpp - Functions for reading and writing Truevision TGA files.

SYNOPSIS

#include 'rwTGA.h'
#include 'file_util.h'
#include 'utilities.h'

  Functions
RGB< unsigned char > TGA_to_RGB (const unsigned char *pColorData, unsigned int bitsPerColor)
RGBA< unsigned char > TGA_to_RGBA (const unsigned char *pColorData, unsigned int bitsPerColor)
int readTGA (Bimage *p, int readdata)
Reading a Truevision TGA image file format.
int writeTGA (Bimage *p)
Writing a Truevision TGA map image file format.

  Variables
int verbose

Detailed Description

Functions for reading and writing Truevision TGA files.

Author:
    Bernard Heymann

Date:
    Created: 20150811

    Modified: 20150815

Definition in file rwTGA.cpp.

Function Documentation

  int readTGA (Bimage * p, int readdata)

Reading a Truevision TGA image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). A color image format. Header size: 18 bytes (fixed). File format extensions: .tga The identifier is ???. Byte order: Little endian. Data types: 1 = byte, 2 = float, 3 = complex float 4 = 3-value vector, 5 = view

Definition at line 134 of file rwTGA.cpp.

  RGB<unsigned char> TGA_to_RGB (const unsigned char * pColorData, unsigned int bitsPerColor)

Definition at line 18 of file rwTGA.cpp.

  RGBA<unsigned char> TGA_to_RGBA (const unsigned char * pColorData, unsigned int bitsPerColor)

Definition at line 54 of file rwTGA.cpp.

  int writeTGA (Bimage * p)

Writing a Truevision TGA map image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 266 of file rwTGA.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.